<style>
    input {
    height: 29px !important
    }
    .red{
    color: red;
    }
    .alignBottom{
    position: relative;
    bottom: 20px;
    right: 20px;
    }
    .wrapper{position:relative;}
    .bottom{position:absolute; bottom:10px;
    padding-left: 800px; padding-top: 50px;
    }
    .glyphicon.glyphicon-asterisk {
    font-size: 8px;
    }
</style>

<script>
    $("body").on("keyup","#editor",function (e) {
       var strlen=$(this).text().trim().length;
        $(".charLimit").text(strlen +"/10000");
    });
</script>

<!--==============================content================================-->

<!--Add A Book-->
<div ng-include="'./app/view/Includes/Header.html'"></div>
<br/>
















































<!--{{uploadImageid}}-->
<div class="container">

    <form novalidate name="formx" class="css-form" style="width:1600;">
        <div class="box box-primary box-solid" style="cursor: default;">
            <div class="box-header with-border">
                <h3 class="box-title"><span class="glyphicon glyphicon-book"></span>&nbsp;&nbsp;Add Books</h3>
            </div>

































            <div class="box-body">
                <div ng-if="!book.bookId " >
                    <p class="red">Please fill all the mandatory fileds (<sup><span class="glyphicon glyphicon-asterisk red"></span></sup>) to add the book</p>
                </div>
                <div ng-if="book.bookId" >
                    <p class="red">Please fill all the mandatory fileds and press the publish button below to display the book to the users</p>
                </div>
                <div class="row form-group">
                    <div class="col-md-6">
                        <label>Title<sup><span class="glyphicon glyphicon-asterisk red"></span></sup></label>
                        <input type="text" name='Title' ng-model='book.Title' required="" placeholder="Enter Title" class="form-control input-sm">
                        <span style="position: absolute;margin-left: 120px;" class="red"; ng-show="formx.Title.$error.required && (formx.$submitted || formx.Title.$touched)"><p>Title is required</p></span>
                    </div>
                    <div class="col-md-6">
                        <label>Published Date<sup><span class="glyphicon glyphicon-asterisk red"></span></sup></label>
                        <input type="text" name="PublishedDate" class="form-control input-sm"  Datepicker-popup="{{format}}" ng-model="book.PublishedDate" ng-click="open($event)" is-open="status.opened" placeholder="Select Published Date" datepicker-options="dateOptions" required="true"  close-text="Close" >
                        <span style="position: absolute;margin-left: 120px;" class="red" ng-show="formx.PublishedDate.$error.required && (formx.$submitted || formx.PublishedDate.$touched)"><p>Published Date is required</p></span>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-6">
                        <label>ISBN-10:</label>
                        <input  class="form-control input-sm" name="IsbnNumber10" placeholder="Enter 10 Character"
                                ng-model="book.IsbnNumber10"  ng-maxlength="10" ng-minlength="10" min="10" maxlength="10" onkeypress='return (event.charCode >= 48 && event.charCode <= 57)|| event.charCode <= 8 '>
                        <span style="position: absolute;margin-left: 120px;" ng-show="formx.IsbnNumber10.$error.maxlength" class="help-block"><p>ISBN-10 must be 10 digit</p></span>
                        <span style="position: absolute;margin-left: 120px;" ng-show="formx.IsbnNumber10.$error.minlength" class="red">ISBN-10  must be 10 digit</span>
                    </div>
                    <div class="col-md-6">
                        <label>ISBN-13:</label>
                        <input type="text" class="form-control input-sm" name="IsbnNumber13" placeholder="Enter 13 Character"
                               ng-model="book.IsbnNumber13"  ng-maxlength="13" ng-minlength="13"min="13" maxlength="13" onkeypress='return (event.charCode >= 48 && event.charCode <= 57)|| event.charCode <= 8 '>
                        <span style="position: absolute;margin-left: 120px;" class="error"ng-show="formx.IsbnNumber13.$error.number"><p>Not valid number!</p></span>
                        <span style="position: absolute;margin-left: 120px;" ng-show="formx.IsbnNumber13.$error.maxlength" class="help-block"><p>ISBN-13 must be 13 digit</p></span>
                        <span style="position: absolute;margin-left: 120px;" ng-show="formx.IsbnNumber13.$error.minlength" class="red">IsbnNumber13 must be 13 digit</span>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-6">
                        <label>Language:</label>
                        <input type="text" name='Language' ng-model='book.Language' placeholder="Enter Language" class="form-control input-sm" onkeypress='return !(event.charCode >= 48 && event.charCode <= 57)|| event.charCode <= 8'>
                    </div>
                    <div class="col-md-6">
                        <label>Series</label>
                        <input type="text" class="form-control input-sm" name="Series" placeholder="Enter Series" ng-model="book.Series">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-6">
                        <label>Edition</label>
                        <input type="text" class="form-control input-sm" name="Edition" placeholder="Enter Edition" ng-model="book.Edition" onkeypress='return (event.charCode >= 48 && event.charCode <= 57)|| event.charCode <= 8 '>
                        <span style="position: absolute;margin-left: 120px;" class="error" ng-show="formx.Edition.$error.number"><P>Not valid number!</P></span>
                    </div>
                    <div class="col-md-6">
                        <label>Copyright</label>
                        <input type="text" class="form-control input-sm" name="copyRight" placeholder="Enter Copyright" ng-model="book.copyRight"  >
                        <span style="position: absolute;margin-left: 50px; "ng-show="formx.copyRight.$error.required && (formx.$submitted || formx.copyRight.$touched)"><p>copyRight is required.</p></span>
                        <span style="position: absolute;margin-left: 50px;" class="error" ng-show="formx.copyRight.$error.number"><p>Not valid number!</p></span>
                    </div>
                </div><hr/>
                <div class="row form-group">
                    <div class="col-md-10">
                        <label>Short Description<sup><span class="glyphicon glyphicon-asterisk red"></span></sup>&nbsp;&nbsp;</label>(<span style="color:#ff9999">{{400 - book.ShortDesc.length}}/400</span>)
                        <textarea name="ShortDesc" ng-model="book.ShortDesc" ng-trim="true"maxlength="400" cols="50" style="width: 955px; height: 60px;" placeholder="Enter Maximum 400 Character" required="true"></textarea>
                        <span style="position: absolute;margin-left: 120px;" class="red" ng-show="formx.ShortDesc.$error.required && (formx.$submitted || formx.ShortDesc.$touched)"><p>Short Description is required</p></span>
                        <span class="error" ng-show="formx.ShortDesc.$error.maxlength" style="color:red">
                                  Maxlength Limit Reached!!
                     </span>
                    </div>
                </div><hr/>
                <div class="row form-group">
                    <div class="col-md-10">{{formx.LongDesc.$error.maxlength}}
                        <label>Long Description<sup><span class="glyphicon glyphicon-asterisk red "></span></sup></label>
                        <span style="color:#ff9999" class="charLimit" ng-if="!book">(0/10000)</span>
                        <span style="color:#ff9999" class="charLimit" ng-if="book">({{book.LongDesc.length}}/10000) </span>
                        <wysiwyg textarea-id="editor" name="LongDesc"  textarea-class="form-control"textarea-height="180px"
                                 placeholder="Enter Maximum 10000 Character"  textarea-name="textareaQuestion"
                                 textarea-required ng-model="book.LongDesc" enable-bootstrap-title="true"
                                 textarea-menu="menu" required=""></wysiwyg>
                        <span style="position: absolute;margin-left: 120px;" class="red"
                              ng-show="formx.LongDesc.$error.required && (formx.$submitted || formx.LongDesc.$touched)">
                            <p>Long Description is required</p></span>

                        <!--{{book.LongDesc.length}}-->
                        <span  class="error"  style="color:red"  ng-show="book.LongDesc.length>10000">Maxlength Limit Reached!!</span>
                    </div>
                </div>
                <hr/>
                <div class="row form-group">
                    <div class="col-md-2">
                        <label>Height&nbsp&nbsp(cm):</label>
                        <input type="text" class="form-control input-sm" step="any" name="Height" placeholder="Enter Height " ng-model="book.PhysicalProperties.dimension.height" onkeypress='return (event.charCode >= 48 && event.charCode <= 57 ||event.charCode == 46)|| event.charCode <= 8 ' >
                        <span style="position: absolute;margin-left: 50px;" class="error"ng-show="formx.Height.$error.number"><p>Not valid number!</p></span>
                    </div>
                    <div class="col-md-2">
                        <label>Width&nbsp&nbsp(cm):</label>
                        <input type="text" class="form-control input-sm" step="any" name="width" placeholder="Enter Width " ng-model="book.PhysicalProperties.dimension.width" onkeypress='return (event.charCode >= 48 && event.charCode <= 57 ||event.charCode == 46)|| event.charCode <= 8 ' >
                        <span style="position: absolute;margin-left: 50px;" class="error" ng-show="formx.width.$error.number"><p>Not valid number!</p></span>
                    </div>
                    <div class="col-md-2" >
                        <label>Weight&nbsp&nbsp(g):</label>
                        <input  type="text" class="form-control input-sm" name="Weight" step="any" placeholder="Enter Weight "ng-model="book.PhysicalProperties.weight" onkeypress='return (event.charCode >= 48 && event.charCode <= 57||event.charCode == 46)|| event.charCode <= 8 ' >
                        <span style="position: absolute;margin-left: 50px;" class="error"ng-show="formx.Weight.$error.number"><p>Not valid number!</p></span>
                    </div>
                    <div class="col-md-2" >
                        <label>Print&nbspPrice&nbsp&nbsp(rs):</label>
                        <input  type="text" class="form-control input-sm" name="PrintPrice" step="any" placeholder="Enter PrintingPrice"ng-model="book.PrintingPrice" onkeypress='return (event.charCode >= 48 && event.charCode <= 57||event.charCode == 46)|| event.charCode <= 8 ' >
                        <span style="position: absolute;margin-left: 50px;" class="error"ng-show="formx.PrintingPrice.$error.number"><p>Not valid number!</p></span>
                    </div>
                    <div class="col-md-2">
                        <label>Number Of Pages:</label>
                        <input  style="width: 178px;" type="text" class="form-control input-sm" name="PageNo" placeholder="Enter Number Of Pages"ng-model="book.PageNo" onkeypress='return (event.charCode >= 48 && event.charCode <= 57)|| event.charCode <= 8 ' >
                        <span style="position: absolute;margin-left: 50px;" class="error" ng-show="formx.PageNo.$error.number"><p>Not valid number!</p></span>
                    </div>
                </div><hr/>







                <div class="row form-group" ng-if="formx.Title.$dirty && formx.PublishedDate.$dirty && formx.ShortDesc.$dirty && formx.LongDesc.$dirty || book.bookId">

                    <div  class="col-md-4" style="width:330px;"  ng-controller="authorDropDownController">
                        <label>Select Authors:</label>
                        <select  name="authOption"  id="authorDropdown"  chosen multiple
                                 option="authourNames"
                                 ng-model="book.Author.names"
                                 ng-options="author for author in authorNameForDropdown"
                                 watchmodel="authorNameForDropdown">
                        </select>
                        <div style="padding-top: 12px;" >
                            <add-author ></add-author>
                        </div>
                    </div>

                    <div class="col-md-4" style="width:330px;"  ng-controller="categoryDropDownController">
                        <label>Select Categories:</label>
                        <select  name="catOption"  id="categoryDropdown"  chosen multiple
                                 option="categoryNames"
                                 ng-model="book.Category.names"
                                 ng-options="catname for catname in categoryDropDown"
                                 watchmodel="categoryDropDown">
                        </select>
                        <div style="padding-top: 12px;">
                        <span>
                            <add-category ></add-category>
                    </span>
                            <add-category-label ></add-category-label>
                        </div>

                    </div>

            <div class="col-md-4" style=width:330px; >
                <label>Select Formats:</label>
                <select  name="formatOption" chosen multiple option="bookFormat" ng-model="book.Format.format" ng-options="formatname for formatname in bookFormat"></select>
            </div>
        </div>

                <div class="row">
                    <div class="col-md-2" style=width:330px; >
                        <label>Ecart Link</label>
                        <input  type="text" class="form-control input-sm" name="ecartLink"  placeholder="Enter Ecart link"ng-model="book.ecartLink"  >
                    </div>
                </div>



                <!--{{imagesArray}}-->
                <div class="row">
                    <div  style="padding-left:160px;"class="col-md-4" ng-repeat="bookNamesImages in imagesArray">
                        <img style="width: 40%; height: 40%; margin-top: 17px;"  Src="{{imagePathOfBook}}{{bookNamesImages.imageName}}" ><br>
                        <button style="margin-top: 17px;" class="btn btn-danger btn-xs"    ng-click="openDeleteImage(bookNamesImages.imageName,book.bookId)"> Delete</button>
                    </div>
                </div>



























































        <div class="box-footer">
                <div class="row form-group">
                    <div class="col-md-6" ng-if="formx.Title.$dirty && formx.PublishedDate.$dirty && formx.ShortDesc.$dirty && formx.LongDesc.$dirty">
                        <button class="btn btn-sm btn-info" ng-disabled="formx.Title.$error.required || formx.PublishedDate.$error.required || formx.ShortDesc.$error.required || formx.LongDesc.$error.required ||
                 formx.Title.$invalid || formx.PublishedDate.$invalid || formx.ShortDesc.$invalid || book.LongDesc.length>10000"  ng-click="addBook(book)" >Save</button>
                    </div>
                </div>
            </div>








































                <div style="float: left">{{imageUploadStatus}}</div>
            <div style="padding-left: 809px;     padding-bottom: 12px;">


                <span ng-if="book.isPublished===0" >
             <a class="btn btn-sm btn-default btn-primary"   ng-click="openPublishBook(book)"  class="btn btn-info" >publish</a>
                </span>
                <span ng-if="book.isPublished===1">
          <a class="btn btn-sm btn-default btn-primary" class="btn btn-info"  ng-click="openUnPublishBook(book)" >UnPublish</a>
        </span>
                <span ng-if="book.bookId">
          <a class="btn btn-sm btn-default btn-primary" ng-disabled="formx.LongDesc.$invalid" ng-click="updateBookDetails(book)"  >Update</a>
          <a class="btn btn-sm btn-default btn-primary" data-toggle="modal" data-target="#imageModal"  class="btn btn-primary"  >Upload Images</a>
        </span>


                </div>
        </div>
            </div>
    </form>

</div>






























































<div class="modal fade" id="imageModal" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">upload Images</h4>
            </div>

            <!-- data-ng-controller="bookController"-->
            <div class="modal-body">
                <form id="fileupload"  method="POST" enctype="multipart/form-data"
                      data-file-upload="options" data-ng-class="{'fileupload-processing': processing() || loadingFiles}">
                    <!-- Redirect browsers with JavaScript disabled to the origin page -->
                    <noscript><input type="hidden" name="redirect" value="https://blueimp.github.io/jQuery-File-Upload/"></noscript>
                    <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
                    <div class="row fileupload-buttonbar">
                        <div class="col-lg-7">
                            <!-- The fileinput-button span is used to style the file input field as button -->
                <span class="btn btn-success fileinput-button" ng-model="selection"  data-ng-click="showDataAddFile();" >
                    <i class="glyphicon glyphicon-plus"></i>
                    <span>Add files...</span>
                    <input type="file" name="files" multiple >
                </span><!--test(book.bookId);clearQueue();-->
                            <button type="button" class="btn btn-primary start" data-ng-click=" submit(); uploadStatus(); clearQueue(); " data-dismiss="modal">
                                <i class="glyphicon glyphicon-upload"></i>
                                <span>Start upload</span>
                            </button>
                            <button type="button" class="btn btn-warning cancel" data-ng-click="cancel()" data-dismiss="modal">
                                <i class="glyphicon glyphicon-ban-circle"></i>
                                <span>Cancel upload</span>
                            </button>

                            <!-- <button type="button" class="btn btn-warning cancel" data-ng-click="clearModal()" data-dismiss="modal">
                               <i class="glyphicon glyphicon-ban-circle"></i>
                               <span>clear upload</span>
                             </button>-->

                            <!-- The global file processing state -->
                            <span class="fileupload-process"></span>
                        </div>
                        <!-- The global progress state -->
                        <div class="col-lg-5 fade" data-ng-class="{in: active()}">
                            <!-- The global progress bar -->
                            <div class="progress progress-striped active" data-file-upload-progress="progress()"><div class="progress-bar progress-bar-success" data-ng-style="{width: num + '%'}"></div></div>
                            <!-- The extended global progress state -->
                            <div class="progress-extended">&nbsp;</div>
                        </div>
                    </div>

                    <!--   <div class="modal-bodydata">-->
                    <!-- The table listing the files available for upload/download -->


                    <div ng-switch="showData" >
                        <div ng-switch-when="true">
                            <table class="table table-striped files ng-cloak" >
                                <tr data-ng-repeat="file in queue" data-ng-class="{'processing': file.$processing()}">
                                    <td data-ng-switch data-on="!!file.thumbnailUrl">
                                        <div class="preview" data-ng-switch-when="true">
                                            <a data-ng-href="{{file.url}}" title="{{file.name}}" download="{{file.name}}" data-gallery><img data-ng-src="{{file.thumbnailUrl}}" alt=""></a>
                                        </div>
                                        <div class="preview" data-ng-switch-default data-file-upload-preview="file"></div>
                                    </td>
                                    <td>
                                        <p class="name" data-ng-switch data-on="!!file.url">
                        <span data-ng-switch-when="true" data-ng-switch data-on="!!file.thumbnailUrl">
                            <a data-ng-switch-when="true" data-ng-href="{{file.url}}" title="{{file.name}}" download="{{file.name}}" data-gallery>{{file.name}}</a>
                            <a data-ng-switch-default data-ng-href="{{file.url}}" title="{{file.name}}" download="{{file.name}}">{{file.name}}</a>
                        </span>
                                            <span data-ng-switch-default>{{file.name}}</span>
                                        </p>
                                        <strong data-ng-show="file.error" class="error text-danger">{{file.error}}</strong>
                                    </td>
                                    <td>
                                        <p class="size">{{file.size | formatFileSize}}</p>
                                        <div class="progress progress-striped active fade" data-ng-class="{pending: 'in'}[file.$state()]" data-file-upload-progress="file.$progress()"><div class="progress-bar progress-bar-success" data-ng-style="{width: num + '%'}"></div></div>
                                    </td>
                                    <td>
                                        <button type="button" class="btn btn-primary start" data-ng-click="file.$submit()" data-ng-hide="!file.$submit || options.autoUpload" data-ng-disabled="file.$state() == 'pending' || file.$state() == 'rejected'"5 >
                                            <i class="glyphicon glyphicon-upload"></i>
                                            <span>Start</span>
                                        </button>
                                        <button type="button" class="btn btn-warning cancel" data-ng-click="file.$cancel()" data-ng-hide="!file.$cancel">
                                            <i class="glyphicon glyphicon-ban-circle"></i>
                                            <span>Cancel</span>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div ng-switch-when="false">
                            <table class="table table-striped files ng-cloak">

                            </table>

                        </div>

                    </div>

                    <!--</div>-->
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>














